﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using xUnitStudy.Model;

namespace xUnitStudy.IDal
{
    public interface IStudentDal
    {
        List<Student> Students { get; set; }

        List<Student> GetAll();

        Student GetStudentById(int studentId);

        (bool result, Student student) AddStudent(Student student);

        (bool result, Student student) UpdateStudent(Student student);

        bool DeleteStudent(int userId);
    }
}
